package com.lightinit.hsdatashow.dictionary;

import java.util.LinkedHashMap;

public class DicSpreadType {
    public static final String SIG = "4G";
    public static final String TELEVISION = "电视";
    public static final String WIFI = "WIFI";
    public static final String READING = "阅读";
    public static final String RADIOBROADCAST = "广播";

    private static DicSpreadType instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicSpreadType(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(SIG, SIG);
        dicMap.put(TELEVISION, TELEVISION);
        dicMap.put(WIFI, WIFI);
        dicMap.put(READING, READING);
        dicMap.put(RADIOBROADCAST, RADIOBROADCAST);
    }

    public static DicSpreadType getInstacne(){
        if (instance == null)
        {
            instance = new DicSpreadType();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }

}
